View Issue Details

IDProjectCategoryView StatusLast Update
0001522Far ManagerPanelpublic2011-12-23 15:31
ReporterMaximusAssigned Toalexy 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP2
Product Version2.0 
Target VersionFixed in Version3.0 
Summary0001522: Лишний слеш в заголовке панели
DescriptionПри выполнении команды
cd c:\\1\\2\\3
Переход в папку выпоолняется нормально,
но в заголовке и комм.строке отображается
C:\\1\2\3
после буквы диска - лишний слеш
TagsNo tags attached.
Build2313

Activities

alexy

2010-10-01 22:32

administrator   bugnote:0005869

Баг тут немного не в том. Мы конечно можем обрабатывать (удалять) эти слэши но этим как бы бессмысленно заниматься, и как раз то что часть из них удалилась это и есть баг. 1688.

lordmuzer

2010-10-07 14:22

reporter   bugnote:0005886

версия 1691

1. cd c:\\ - в заголовке вижу только "c:\", один слэш все таки срезается.
2. cd c:\\\ - на панели появляется первый элемент ".." хотя текущий каталог c:\. после перехода на один уровень вверх все исправляется. такая "виртуальная" вложенность растет на каждый 3-4 слэша (cd c:\\\\\\ ...)

это нормальное поведения ?

JohnDoe

2010-10-07 19:21

updater   bugnote:0005887

Last edited: 2010-10-07 19:24

View 2 revisions

Не уверен что это связано, но тем не менее:
Если создать папку 1\\2\\3, то в в панели Дерева папок смешные глюки.
http://forum.farmanager.com/viewtopic.php?f=9&t=5791

fibre

2011-12-23 15:27

reporter   bugnote:0008212

в far 3.0.2312 не повторяется ничего из вышеперечисленного.
во все папки переходит нормально, в заголовке панели и комстроке все лишние слэши удаляются, с деревом папок глюков тоже [уже] нет.

Issue History

Date Modified Username Field Change
2010-09-30 18:14 Maximus New Issue
2010-10-01 22:32 alexy Note Added: 0005869
2010-10-01 22:32 alexy Assigned To => alexy
2010-10-01 22:32 alexy Status new => feedback
2010-10-07 14:22 lordmuzer Note Added: 0005886
2010-10-07 19:21 JohnDoe Note Added: 0005887
2010-10-07 19:24 JohnDoe Note Edited: 0005887 View Revisions
2010-10-07 19:32 JohnDoe Status feedback => assigned
2011-12-23 15:27 fibre Note Added: 0008212
2011-12-23 15:31 alexy Build => 2313
2011-12-23 15:31 alexy Status assigned => closed
2011-12-23 15:31 alexy Resolution open => fixed
2011-12-23 15:31 alexy Fixed in Version => 3.0